QGIS Application - Feature request #16690
Layer or Layers to KMZ export (Save As)
2017-06-08 09:01 PM - Jim Garner

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: up/downstream
Easy fix?: No Copied to github as #: 24589
Description

| am having to go back to ESRI because | cannot get enough information out of QGIS into my KMZ's.
Basic needs are:

Polygon Simple Outline color

Polygon Simple Fill Color

Transparency.

Colors/Symbology would come from categorized data.

| have attempted the Plugin but it errors everytime.

One option QGIS gives me that ArcMap does not is to fill WITHIN the polygon. | am not sure this is possible for conversion to KMZ, but it
sure would be wonderful.

Currently it seems only the border lines are painted in the KMZ file, no color internal to the polygon.

ESRI will export layer or map to KMZ, and although they miss a lot, this is a basic need for my daily work.

Thanx for the great environment to do GIS in. | hope | can move over soon! So much faster and often more intuitive!

History

#1 - 2017-06-09 03:48 AM - Nyall Dawson
- Resolution set to up/downstream
- Status changed from Open to Closed

This issue needs to be addressed in the GDAL library - that's where the KML styling is handled.

I am having to go back to ESRI because | cannot get enough information out of QGIS into my KMZ's.

That's a shame - but ultimately if QGIS/GDAL aren't meeting your needs and you're unable to contribute to the projects then it's the right move to make.

If you'd like to continue transitioning to QGIS/GDAL and this is a blocking issue for you then there's a bunch of ways you can get this fixed outlined over at
http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/ . All these points apply equally well to GDAL and the other opensource GIS

libraries :)

#2 - 2017-06-09 11:04 AM - Giovanni Manghi

2025-04-27 1/2



http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/

https://github.com/ptarroso/layer2kmz
